diff --git a/src/tools/gui/stlink-gui.c b/src/tools/gui/stlink-gui.c
index d45db6ff..c9e68af4 100644
--- a/src/tools/gui/stlink-gui.c
+++ b/src/tools/gui/stlink-gui.c
@@ -224,11 +224,14 @@ stlink_gui_update_devmem_view (STlinkGUI *gui)
 
 
 static void
-stlink_gui_populate_devmem_view (STlinkGUI *gui)
+stlink_gui_populate_devmem_view (gpointer data)
 {
     guint            off;
     stm32_addr_t     addr;
 
+    g_return_if_fail (STLINK_IS_GUI (data));
+    STlinkGUI *gui = (STlinkGUI *)data;
+
     g_return_if_fail (gui != NULL);
     g_return_if_fail (gui->sl != NULL);
 
